> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aihubmax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Grok Imagine Extension

> - Grok Imagine video extension model, generates continuation clips based on existing videos
 - Input video must be a 2-15 second MP4, extension clip duration supports 2-10 seconds
- Async processing mode, use the returned task ID to [query task status](/pages/en/api-manual/task-management/get-task-detail)
- Generated video links are valid for 24 hours, please save them promptly




## OpenAPI

````yaml openapi/en/grok-imagine-video-extension.json POST /v1/videos/generations
openapi: 3.1.0
info:
  title: Grok Imagine Video Extension
  version: '1.0'
servers:
  - url: https://api.aihubmax.com
security:
  - BearerAuth: []
paths:
  /v1/videos/generations:
    post:
      tags:
        - Video > Grok
      summary: Grok Imagine Video Extension
      description: >
        - Grok Imagine video extension model, generates continuation clips based
        on existing videos
         - Input video must be a 2-15 second MP4, extension clip duration supports 2-10 seconds
        - Async processing mode, use the returned task ID to [query task
        status](/pages/en/api-manual/task-management/get-task-detail)

        - Generated video links are valid for 24 hours, please save them
        promptly
      operationId: grok-imagine-video-extension
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GrokImagineVideoExtensionRequest'
            examples:
              example_0:
                summary: Extend a video
                value:
                  model: grok-imagine-video-extension
                  prompt: >-
                    The camera slowly zooms out to reveal the city skyline at
                    sunset
                  video_url: https://example.com/input-video.mp4
                  duration: 6
      responses:
        '200':
          $ref: '#/components/responses/TaskCreated'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '402':
          $ref: '#/components/responses/PaymentRequired'
        '422':
          $ref: '#/components/responses/UnprocessableEntity'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
        '503':
          $ref: '#/components/responses/ServiceUnavailable'
components:
  schemas:
    GrokImagineVideoExtensionRequest:
      type: object
      required:
        - model
        - prompt
        - video_url
      properties:
        model:
          description: >-
            `grok-imagine-video-extension`: Generates continuation clips based
            on existing videos
          type: string
          default: grok-imagine-video-extension
        prompt:
          description: >
            Text prompt describing what should happen next in the video


            **Notes:**

            - Supports both Chinese and English

            - Recommended to describe camera continuation, action progression,
            or scene transitions
          type: string
          example: The camera slowly zooms out to reveal the city skyline at sunset
        video_url:
          description: |
            Public URL of the input video

            **Notes:**
            - Must be a publicly accessible MP4 URL
            - Input video duration must be between `2` - `15` seconds
          type: string
          example: https://example.com/input-video.mp4
        duration:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          description: |
            Extension clip duration in seconds

            **Notes:**
            - Range: `2` - `10`
            - Defaults to `6` seconds upstream when not specified
          example: 2
    TaskResponse:
      type: object
      properties:
        created:
          type: integer
          description: Task creation timestamp
          example: 1757165031
        id:
          type: string
          description: Task ID
          example: task-unified-1757165031-uyujaw3d
        model:
          type: string
          description: Actual model name used
        object:
          type: string
          description: Specific task type
          enum:
            - video.generation.task
        progress:
          type: integer
          description: Task progress percentage (0-100)
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: Task status
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          type: object
          description: Asynchronous task information
          properties:
            can_cancel:
              type: boolean
              description: Whether the task can be cancelled
              example: true
            estimated_time:
              type: integer
              description: Estimated completion time in seconds
              example: 45
        type:
          type: string
          description: Task output type
          enum:
            - video
          example: video
    ErrorResponse400:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Invalid request format
            type:
              type: string
              example: invalid_request_error
    ErrorResponse401:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Invalid API key
            type:
              type: string
              example: authentication_error
    ErrorResponse402:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Insufficient account balance
            type:
              type: string
              example: insufficient_quota
    ErrorResponse422:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Parameter validation failed
            type:
              type: string
              example: validation_error
    ErrorResponse429:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Rate limit exceeded
            type:
              type: string
              example: rate_limit_error
    ErrorResponse500:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Internal server error
            type:
              type: string
              example: server_error
    ErrorResponse503:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Service temporarily unavailable, please try again later
            type:
              type: string
              example: service_unavailable
  responses:
    TaskCreated:
      description: Task created successfully
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TaskResponse'
    BadRequest:
      description: Invalid request format
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse400'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse401'
    PaymentRequired:
      description: Insufficient balance
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse402'
    UnprocessableEntity:
      description: Parameter validation failed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse422'
    TooManyRequests:
      description: Rate limit exceeded
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse429'
    InternalServerError:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse500'
    ServiceUnavailable:
      description: Service Unavailable
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse503'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |
        ## All APIs require Bearer Token authentication ##

        Add to request header:

        `Authorization: Bearer YOUR_API_KEY`

````